Update File
curl --request PUT \
--url https://api.pinata.cloud/v3/files/{network}/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Hello Files API"
}
'import requests
url = "https://api.pinata.cloud/v3/files/{network}/{id}"
payload = { "name": "Hello Files API" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Hello Files API'})
};
fetch('https://api.pinata.cloud/v3/files/{network}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "e5323ea7-8a02-4486-9b6f-63c788810aeb",
"name": "e093dbd3-f276-4bb3-a43e-60437725f410.txt",
"cid": "bafkreicnu2aqjkoglrlrd65giwo4l64pdajxffk6jtq2vb7yaiopc3yu7m",
"size": 36,
"number_of_files": 1,
"mime_type": "text/plain",
"group_id": "18893556-de8e-4229-8a9a-27b95468dd3e",
"keyvalues": {
"whimsey": "true"
},
"created_at": "2024-08-27T14:57:51.485934Z"
}
}Files
Update File
org:files:write
PUT
/
files
/
{network}
/
{id}
Update File
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Target a file on either the public or private IPFS network
Available options:
public, private Body
application/json
Response
200 - application/json
OK
Show child attributes
Show child attributes
⌘I